<?php
declare(strict_types=1);

namespace App\Framework\Http\Middlewares;

use App\Framework\DI\DefaultContainer;
use App\Framework\Http\HttpMiddleware;
use App\Framework\Http\MiddlewareContext;
use App\Framework\Http\RequestStateManager;
use App\Framework\Http\Request;
use App\Framework\Http\Response;

final readonly class ControllerRequestMiddleware implements HttpMiddleware
{
    public function __construct(
        #private Container $container
    ) {}

    /**
     * @param RequestStateManager $stateManager
     * @inheritDoc
     */
    public function __invoke(MiddlewareContext $context, callable $next, RequestStateManager $stateManager): MiddlewareContext
    {


        return $next($context);
    }
}
